package org.fouram.util;

import java.net.URL;

import org.apache.commons.io.FileUtils;

/**
 * 获取项目路径
 */
public class GlobleValue {
	/**
	 * 项目root
	 */
	public static final String rootPath;

	static {
		GlobleValue gv = new GlobleValue();
		rootPath = gv.getRootPath();
	}

	/**
	 * 到项目根路径
	 * 
	 * @return
	 */
	private String getRootPath() {
		URL url = getClass().getResource("GlobleValue.class");
		String rootPath = FileUtils.toFile(url).toString();
		int mark = rootPath.lastIndexOf("WEB-INF");
		rootPath = rootPath.substring(0, mark).replaceAll("\\\\", "/");
		return rootPath;
	}
}
